Gtk2::Spinner(3)

NAME
Gtk2::Spinner - wrapper for GtkSpinner

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::DrawingArea
                      +----Gtk2::Spinner

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Spinner->new

  $spinner->start

  $spinner->stop

PROPERTIES

'active' (boolean : default false : readable / writable)
    Whether the spinner is active

STYLE PROPERTIES

'cycle-duration' (Glib::UInt : default 1000 : readable)
    The length of time in milliseconds for the spinner to complete a full loop

'num-steps' (Glib::UInt : default 12 : readable)
    The number of steps for the spinner to complete a full loop. The animation will complete a full cycle in one second by default (see #GtkSpinner:cycle-duration).

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::DrawingArea

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.